(function (Drupal) {
  Drupal.behaviors.commerceStoreFilterAutoSubmit = {
    attach: function (context, settings) {
      context.querySelectorAll('.js-auto-submit:not(.auto-submit-processed)').forEach(function(element) {
        element.classList.add('auto-submit-processed');
        element.addEventListener('change', function(e) {
          //not works...
          //this.closest('form').submit();
          e.preventDefault();
          
          var storeId = this.value;
          var currentUrl = new URL(window.location.href);
          // Add or update the commerce_store_filter parameter
          currentUrl.searchParams.set('commerce_store_filter', storeId);
          // Reload page with new URL
          window.location.href = currentUrl.toString();
        });
      });
    }
  };
})(Drupal);